Skip to main content
Limited Release
Customer management helps you update an existing customer’s details and change their payment method. You can also remove customer information from PayPal when their business relationship ends.

Update customer details

Use a valid access token and make a PUT call to the /v1/commerce/billing/customers/{external_customer_id} endpoint with the modified request parameters such as customer name, email, address, phone, payment method token, and metadata. Path parameter: external_customer_id is the external_id you provided when you registered the customer. For information on all parameters, see API reference.
curl -X PUT 'https://api-m.sandbox.paypal.com/v1/commerce/billing/customers/5eb02857-a71e-4ea2-bcf9-57d3a41bc6b1' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <ACCESS-TOKEN>' \
-d '{
  "name": "Jane Doe",
  "email": "jdoe@gmail.com",
  "billing_entity_code": "US_ENTITY",
  "address": {
    "line1": "123 First Street",
    "line2": "Alameda Court",
    "city": "San Jose",
    "state": "CA",
    "postal_code": "95110",
    "country": "US"
  },
  "phone": "5839458934",
  "payment_method_token": "6ta69628uw121251c",
  "tax_codes": [
    "standard_vat",
    "digital_services_tax"
  ],
  "metadata": [
    {
      "key": "Purchase Order",
      "value": "PO-2023-4521",
      "display_in_invoice": true
    },
    {
      "key": "Sales Region",
      "value": "West Coast",
      "display_in_invoice": false
    }
  ]
}'
A successful call returns a 200 OK response with the updated customer information.

Change payment method

Use a valid access token and make a PUT call to the /v1/commerce/billing/customers/{external_customer_id} endpoint with the modified payment method token. Path parameter: external_customer_id is the external_id you provided when you registered the customer. For information on all parameters, see API reference. There are two scenarios for updating a customer’s payment method: Scenario 1: Customer adding a new payment method
  1. Generate a payment method token.
  2. Update customer details with the new token.
Scenario 2: Customer changing their payment method to an already vaulted payment method
  1. Retrieve the payment method token associated with the selected payment method. For information on this, see Get saved payment method details for customer confirmation.
  2. Update customer details with the retrieved token.
curl -X PUT 'https://api-m.sandbox.paypal.com/v1/commerce/billing/customers/5eb02857-a71e-4ea2-bcf9-57d3a41bc6b1' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <ACCESS-TOKEN>' \
-d '{
  "name": "Jane Doe",
  "email": "jdoe@gmail.com",
  "billing_entity_code": "US_ENTITY",
  "address": {
    "line1": "123 First Street",
    "line2": "Alameda Court",
    "city": "San Jose",
    "state": "CA",
    "postal_code": "95110",
    "country": "US"
  },
  "phone": "5839458934",
  "payment_method_token": "8kf93hd72jw903847",
  "tax_codes": [
    "standard_vat",
    "digital_services_tax"
  ],
  "metadata": [
    {
      "key": "Purchase Order",
      "value": "PO-2023-4521",
      "display_in_invoice": true
    },
    {
      "key": "Sales Region",
      "value": "West Coast",
      "display_in_invoice": false
    }
  ]
}'
A successful call returns a 200 OK response with the updated customer information.

Delete customer information

Use a valid access token and make a DELETE call to the /v1/commerce/billing/customers/{external_customer_id} endpoint. Path parameter: external_customer_id is the external_id you provided when you registered the customer.
curl -X DELETE 'https://api-m.sandbox.paypal.com/v1/commerce/billing/customers/5eb02857-a71e-4ea2-bcf9-57d3a41bc6b1' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <ACCESS-TOKEN>'
A successful call returns a 204 No Content response.